blob: 3083b9ec6fb88fa309d46ec8627e587490f70fd5 [file] [log] [blame]
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>org.eclipse.cbi</groupId>
<artifactId>cbi-parent</artifactId>
<version>1.0.6-SNAPSHOT</version>
<packaging>pom</packaging>
<url>http://wiki.eclipse.org/CBI</url>
<description>
The Eclipse Common Build Infrastructure (CBI) is an initiative
combining technologies and practices for building Eclipse Software.
</description>
<licenses>
<license>
<name>Eclipse Public License, Version 1.0</name>
<url>http://www.eclipse.org/legal/epl-v10.html</url>
<distribution>repo</distribution>
</license>
<license>
<name>Eclipse Distribution License, Version 1.0</name>
<url>http://eclipse.org/org/documents/edl-v10.html</url>
<distribution>repo</distribution>
</license>
</licenses>
<mailingLists>
<mailingList>
<name>cbi-dev</name>
<subscribe>https://dev.eclipse.org/mailman/listinfo/cbi-dev</subscribe>
<unsubscribe>https://dev.eclipse.org/mailman/listinfo/cbi-dev</unsubscribe>
<post>cbi-dev@eclipse.org</post>
<archive>http://dev.eclipse.org/mhonarc/lists/cbi-dev/</archive>
</mailingList>
</mailingLists>
<issueManagement>
<system>Bugzilla</system>
<url>https://bugs.eclipse.org/bugs/enter_bug.cgi?product=CBI</url>
</issueManagement>
<organization>
<name>Eclipse Foundation</name>
<url>http://eclipse.org/</url>
</organization>
<scm>
<connection>scm:git:https://git.eclipse.org/r/cbi/org.eclipse.cbi</connection>
<developerConnection>scm:git:ssh://git.eclipse.org:29418/cbi/org.eclipse.cbi</developerConnection>
<tag>master</tag>
<url>http://git.eclipse.org/c/cbi/org.eclipse.cbi.git/</url>
</scm>
<properties>
<minimum-maven-version>3.6.1</minimum-maven-version>
<cbi-checkstyle-version>1.0.2</cbi-checkstyle-version>
<jetty-version>9.4.24.v20191120</jetty-version>
</properties>
<repositories>
<repository>
<id>repo.eclipse.org</id>
<url>https://repo.eclipse.org/content/repositories/cbi</url>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
</repositories>
<!-- This is required by maven-checkstyle-plugin as it will look for dependencies
in pluginRepositories and not repositories -->
<pluginRepositories>
<pluginRepository>
<id>repo.eclipse.org</id>
<url>https://repo.eclipse.org/content/repositories/cbi</url>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>true</enabled>
</snapshots>
</pluginRepository>
</pluginRepositories>
<distributionManagement>
<repository>
<id>repo.eclipse.org</id>
<name>Eclipse CBI Repository - Releases</name>
<url>https://repo.eclipse.org/content/repositories/cbi-releases/</url>
</repository>
<snapshotRepository>
<id>repo.eclipse.org</id>
<name>Eclipse CBI Repository - Snapshots</name>
<url>https://repo.eclipse.org/content/repositories/cbi-snapshots/</url>
</snapshotRepository>
<site>
<id>cbi-plugins.site</id>
<name>CBI Plugins Site</name>
<url>file:///${user.dir}/sitedocs</url>
</site>
</distributionManagement>
<build>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-enforcer-plugin</artifactId>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-checkstyle-plugin</artifactId>
</plugin>
<plugin>
<groupId>com.github.spotbugs</groupId>
<artifactId>spotbugs-maven-plugin</artifactId>
</plugin>
</plugins>
<pluginManagement>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>3.8.1</version>
<configuration>
<source>1.8</source>
<target>1.8</target>
<encoding>UTF-8</encoding>
<useIncrementalCompilation>false</useIncrementalCompilation>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-resources-plugin</artifactId>
<version>3.1.0</version>
<configuration>
<encoding>UTF-8</encoding>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-jar-plugin</artifactId>
<version>3.2.0</version>
<configuration>
<archive>
<manifest>
<addDefaultImplementationEntries>true</addDefaultImplementationEntries>
<addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
</manifest>
</archive>
</configuration>
<executions>
<execution>
<goals>
<goal>test-jar</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-surefire-plugin</artifactId>
<version>2.22.2</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-shade-plugin</artifactId>
<version>3.2.1</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-clean-plugin</artifactId>
<version>3.1.0</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-deploy-plugin</artifactId>
<version>2.8.2</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-install-plugin</artifactId>
<version>2.5.2</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-site-plugin</artifactId>
<version>3.8.2</version>
</plugin>
<plugin>
<!-- This maven-enforcer-plugin configuration to actually break
the build if run with older maven. prerequisites section is kept for now
as even if it doesn't break the build, it is used by other plugins like versions-maven-plugin
which check and warn for using plugins with older than they require Maven
version. -->
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-enforcer-plugin</artifactId>
<version>3.0.0-M2</version>
<executions>
<execution>
<id>enforce-maven</id>
<goals>
<goal>enforce</goal>
</goals>
<configuration>
<rules>
<requireMavenVersion>
<version>${minimum-maven-version}</version>
</requireMavenVersion>
</rules>
</configuration>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>versions-maven-plugin</artifactId>
<version>2.7</version>
<configuration>
<rulesUri>file:///${env.PWD}/maven-updates-rules.xml</rulesUri>
</configuration>
</plugin>
<plugin>
<artifactId>maven-checkstyle-plugin</artifactId>
<version>3.1.0</version>
<dependencies>
<dependency>
<groupId>org.eclipse.cbi</groupId>
<artifactId>checkstyle</artifactId>
<version>${cbi-checkstyle-version}</version>
</dependency>
</dependencies>
<configuration>
<configLocation>eclipse_checkstyle.xml</configLocation>
<headerLocation>EPL-LICENSE.regexp.txt</headerLocation>
<failOnViolation>false</failOnViolation>
<failsOnError>true</failsOnError>
<consoleOutput>true</consoleOutput>
<encoding>UTF-8</encoding>
<sourceDirectories>
<sourceDirectory>src/main/java</sourceDirectory>
</sourceDirectories>
</configuration>
<executions>
<execution>
<goals>
<goal>check</goal>
</goals>
<phase>process-sources</phase>
</execution>
</executions>
</plugin>
<plugin>
<groupId>com.github.spotbugs</groupId>
<artifactId>spotbugs-maven-plugin</artifactId>
<version>3.1.12.2</version>
<configuration>
<threshold>High</threshold>
</configuration>
<executions>
<execution>
<goals>
<goal>check</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-plugin-plugin</artifactId>
<version>3.6.0</version>
<configuration>
<requirements>
<maven>${minimum-maven-version}</maven>
</requirements>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-project-info-reports-plugin</artifactId>
<version>3.0.0</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-release-plugin</artifactId>
<version>2.5.3</version>
</plugin>
</plugins>
</pluginManagement>
</build>
<dependencyManagement>
<dependencies>
<dependency>
<groupId>org.apache.commons</groupId>
<artifactId>commons-compress</artifactId>
<version>1.19</version>
</dependency>
<dependency>
<groupId>com.google.guava</groupId>
<artifactId>guava</artifactId>
<version>28.1-jre</version>
</dependency>
<dependency>
<groupId>com.google.auto.value</groupId>
<artifactId>auto-value</artifactId>
<version>1.7</version>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>com.google.auto.value</groupId>
<artifactId>auto-value-annotations</artifactId>
<version>1.7</version>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>org.eclipse.cbi</groupId>
<artifactId>checkstyle</artifactId>
<version>${cbi-checkstyle-version}</version>
</dependency>
<!-- Dependency scope: test -->
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>4.12</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>com.google.jimfs</groupId>
<artifactId>jimfs</artifactId>
<version>1.1</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.mockito</groupId>
<artifactId>mockito-core</artifactId>
<version>3.2.0</version>
<scope>test</scope>
</dependency>
</dependencies>
</dependencyManagement>
</project>